<div class="container">
    <div class="row">
        <div class="col-6">
            <div class="form-group">
                <input class="form-control" type="text" placeholder="Search Rule" [(ngModel)]="filterRule">
            </div>
        </div>
        <div class="col-6">
            <div class="text-right">
                <button type="button" class="btn btn-primary create-rule" routerLink="../create-rule">Create new Rule</button>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th>Rule Name</th>
                        <th>Creation Date</th>
                        <th>Last Modified Date</th>
                        <th>Content Type Name</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody *ngFor="let rule of rules | filterRule:filterRule; let i = index; ">
                    <tr>
                        <td>{{rule.ruleName}}</td>
                        <td>{{rule.creationDate | date}}</td>
                        <td>{{rule.lastModifiedDate | date}}</td>
                        <td>{{rule.ruleContentTypeMappingDTO.contentTypeName}}</td>
                        <td><a [routerLink]="['../view-rule',rule.ruleId]">View</a> | <a [routerLink]="['rule']" (click)="deleteRule(rule.ruleId)">Delete</a></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
